<?php

define('IN_PHPBB', true);
$phpbb_root_path = (defined('PHPBB_ROOT_PATH')) ? PHPBB_ROOT_PATH : './';
$phpEx = substr(strrchr(__FILE__, '.'), 1);
include($phpbb_root_path . 'common.' . $phpEx);
// since we are grabbing the user avatar, the function is inside the functions_display.php file since RC7
include($phpbb_root_path . 'includes/functions_display.' . $phpEx);
// Start session management
$user->session_begin();
$auth->acl($user->data);
$user->setup();
page_header('last topics');

$sql = 'SELECT *
         FROM phpbb_topics
         WHERE forum_id    NOT IN (13)
         ORDER BY topic_last_post_id DESC LIMIT 0,10';
$result = $db->sql_query($sql);

while ($row = $db->sql_fetchrow($result)) {
    $template->assign_block_vars('my_block', array(
        'TOPIC_ID' => $row['topic_id'],
        'TOPIC_TITLE' => $row['topic_title'],
        'TOPIC_POSTER' => $row['topic_first_poster_name'],
        'TOPIC_ID2' => $row['topic_last_post_id'],
    ));
}
$template->set_filenames(array
    ('body' => 'last_topics.html')
);
$template->display('body');

//$db->sql_freeresult($result);
//End ...let's get the latest topics and assign them to a template variables.
garbage_collection();